/*
	utility program for the ProWesS loader

	MAKEDIR : create directories on a device.

	The parameters are all the directories which have to be created.
	(The -path flag is of course skipped when encountered.)
	The "already exists" error is skipped if the file already is a directory.

	written by Joachim Van der Auwera for PROGS
	(c) 1996 by PROGS, Professional & Graphical Software
	started 26 April 1996
*/

#include "str.h"
#include "mem.h"
#include "dir.h"
#include "io.h"
#include "job.h"

#define catch(x) if (err=(x)) return err; else

Error init(char *param)
{
	Error err=ERR_OK;
	char **params;
	int count=-1;					/* no of files to copy */

	/* parse the command line parameters */
	catch( STRBreak(param,&params) );
	for ( ; *params ; params++)
	{
		if (STRSameCI("-path",*params))
		{
			if (!params[1]) return ERR_IPAR;
			*params++;
		}
		else
			catch( IOMakeDirectory(*params) );
	}
	return err;
}
