/*
	utility program for the ProWesS loader

	REQUEST : report something to the user and wait for that user to indicate
	the 'OK' item. Several parameter strings may be given. Each will be
	displayed on a different line.

	written by Joachim Van der Auwera for PROGS
	(c) 1996 by PROGS, Professional & Graphical Software
	started 23 January 1996
*/

#include "str_h"

#include "ProWesS_h"

#define catch(x) if (err=(x)) return err; else

Error breakdown(PWObject object)
{
	return PWChange(object,PW_SYSTEM_BREAKDOWN,NULL);
}

Error init(char *param)
{
	Error err;
	char **params;
	PWObject win;
	int i;

	catch( PWCreate(NULL, &win, PW_TYPE_OUTLINE,
					NULL) );

	/* pars the command line parameters */
	catch( STRBreak(param,&params) );
	for (i=0 ; params[i] ; i++)
	{
		if (STRSameCI("-path",params[i]))
		{
			if (params[i+1])
				i++;
			else
				return ERR_IPAR;
		}
		else
			catch( PWCreate(win, NULL, PW_TYPE_INFOSTRING,
						PW_INFOSTRING_TEXT, params[i],
						NULL) );
	}

	catch( PWCreate(win, NULL, PW_TYPE_LOOSE_ITEM,
					PW_LOOSE_ACTION_HIT, breakdown,
					PW_LOOSE_TEXT, "OK",
					NULL) );
	err=PWActivate(win);
	return err;
}
